<img src="https://plugins.jetbrains.com/files/12693/65249/icon/pluginIcon_dark.svg" height="100"/>

# Flutter Enhancement Suite

[![Pub](https://img.shields.io/jetbrains/plugin/v/12693-flutter-enhancement-suite.svg?label=Flutter%20Enhancement%20Suite)](https://plugins.jetbrains.com/plugin/12693-flutter-enhancement-suite)

The essential plugin for making working with Flutter easier than ever!

## Features

<h4>Autocomplete Pub Dependencies</h4>
<p>When adding a new dependency to your pubspec.yaml file, suggestions will show up. After auto-completing the name, the latest version will be added automatically.</p><br>
<p>
<img src="https://giant.gfycat.com/PastObviousAmericanquarterhorse.gif" width="400"/>
<p>
<h4>Update Pub Dependencies</h4>
<p>If there's a new version available for a dependency, it will be highlighted. You can update these dependencies by opening the quick fix menu (Show Intention Actions) and choosing <em>Update Package</em></p><br>
<p>
<img src="https://i.imgur.com/jNdjRfo.png" width="400"/>
<p>
<h4>Dart & Flutter Code Snippets</h4>
A bunch of snippets/LiveTemplates for quicker coding. Use <code>Ctrl+Q</code> when hovering over a snippet to get a preview of it.<br>
(<a href="https://github.com/marius-h/flutter_enhancement_suite/blob/master/SNIPPETS.md">Click here to view all</a>)
<p>
<h4>Generate Widgets</h4>
When creating a new file, choose the <em>"New Flutter Widget"</em> option.
Enter the name for your widget and select its type.
<p>
<h4>Generate Blocs</h4>
When creating a new file, choose the <em>"New Flutter Bloc"</em> option.
Enter a name for your bloc and it will automatically generate all required classes for you.<br>
<strong>Please note:</strong> This requires you to add the package "bloc" to your pub dependencies.
<p>


## How to install?

You can install plugin directly from IntelliJ IDEA or Android Studio:
1. Open _Preferences_
2. Choose _Plugins_
3. Select to look for plugins from _Marketplace_
4. Search for **Flutter Enhancement Suite**
5. Click on _install_

## What's new?

### 1.1.0
<ul>
    <li>Added support for automatically checking for updates in pubspec.yaml</li>
    <li>Added support for autocompleting pub.dev dependencies</li>
    <li>Added snippets</li>
</ul>

### 1.0.0
<ul>
    <li>Added support for automatically checking for updates in pubspec.yaml</li>
    <li>Added support for autocompleting pub.dev dependencies</li>
    <li>Added snippets</li>
</ul>

## How can I contribute to this plugin?

Feel free to send a pull request or file an issue.